# classes/phing/tasks/ext/git/GitLogTask.php

## \GitLogTask
jump to top

Wrapper aroung git-log

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Evan Kaufman
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.5
version
  $Id: GitLogTask.php 1047 2011-03-02 16:54:32Z victor $

### Properties

`string $date= ''`

Date format. See --date of git-log

Details

Type
  string

`string $format= 'medium'`

Commit format. See --format of git-log

Default value `medium` Details

Type
  string

`integer $maxCount= ''`

Number of commits to show. See -<n>|-n|--max-count of git-log

Details

Type
  integer

`boolean $nameStatus= 'false'`

Names + status of changed files. See --name-status of git-log

Default value `false` Details

Type
  boolean

`boolean $noMerges= 'false'`

Don't show commits with more than one parent. See --no-merges of git-log

Default value `false` Details

Type
  boolean

`string $outputProperty= ''`

Property name to set with output value from git-log

Details

Type
  string

`string $paths= ''`

<path> arguments to git-log Accepts one or more paths delimited by PATH_SEPARATOR

Details

Type
  string

`string $sinceCommit= ''`

<since> argument to git-log

Details

Type
  string

`string|boolean $stat= 'false'`

Generate a diffstat. See --stat of git-log

Default value `false` Details

Type
  stringboolean

`string $untilCommit= 'HEAD'`

<until> argument to git-log

Default value `HEAD` Details

Type
  string

### Methods

`getDate( ) :`
`getFormat( ) :`
`getMaxCount( ) :`
`getNameStatus( ) :`
`getNoMerges( ) :`
`getPaths( ) :`
`getSince( ) :`
`getStat( ) :`
`getUntil( ) :`
`isNameStatus( ) :`
`isNoMerges( ) :`
`main( ) :`
The main entry point for the task
`setAfter( $after ) :`
Parameters

Name | Type | Description
--- | --- | ---
$after |  |

`setBefore( $before ) :`
Parameters

Name | Type | Description
--- | --- | ---
$before |  |

`setDate( $date ) :`
Parameters

Name | Type | Description
--- | --- | ---
$date |  |

`setFormat( $format ) :`
Parameters

Name | Type | Description
--- | --- | ---
$format |  |

`setMaxCount( $count ) :`
Parameters

Name | Type | Description
--- | --- | ---
$count |  |

`setNameStatus( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNoMerges( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setOutputProperty( $prop ) :`
Parameters

Name | Type | Description
--- | --- | ---
$prop |  |

`setPaths( $paths ) :`
Parameters

Name | Type | Description
--- | --- | ---
$paths |  |

`setSince( $since ) :`
Parameters

Name | Type | Description
--- | --- | ---
$since |  |

`setStat( $stat ) :`
Parameters

Name | Type | Description
--- | --- | ---
$stat |  |

`setUntil( $until ) :`
Parameters

Name | Type | Description
--- | --- | ---
$until |  |

Documentation was generated by DocBlox 0.13.1.